import { Component, Host, h, Prop, Event } from '@stencil/core';
import { BigNumber, ethers } from 'ethers';
export class MintConfig {
  render() {
    return (h(Host, null,
      h("div", { id: "token-amount", class: "wrapper", part: "mint-quantity" },
        h("span", null, "Quantity"),
        h("div", { class: "input-group", part: "mint-input-group" },
          h("button", { part: "mint-input-minus", disabled: this.selectedAmount <= 1, type: "button", onClick: () => this.amountChanged.emit(-1) }, "\u2212"),
          h("span", { part: "mint-input-amount" }, this.selectedAmount),
          h("button", { part: "mint-input-plus", disabled: this.selectedAmount >= this.allocationLeft, type: "button", onClick: () => this.amountChanged.emit(1) }, "+")),
        h("span", null,
          this.allocationLeft,
          " Max")),
      h("div", { class: "summary", part: "mint-summary" },
        h("span", null, "Total"),
        h("div", null,
          `${ethers.utils.formatEther(BigNumber.from(this.mintPrice).mul(this.selectedAmount).toString())} ETH`,
          " + gas"))));
  }
  static get is() { return "mint-config"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["mint-config.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["mint-config.css"]
  }; }
  static get properties() { return {
    "selectedAmount": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "selected-amount",
      "reflect": false
    },
    "allocationLeft": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "allocation-left",
      "reflect": false
    },
    "mintPrice": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "mint-price",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "amountChanged",
      "name": "amountChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      }
    }]; }
}
