import { Component, h, Host, Prop } from '@stencil/core';
export class SupplyDisplay {
  render() {
    return (h(Host, null,
      h("div", { class: "supply-status", part: "supply-bar" },
        h("span", null, "Supply"),
        h("div", { part: "supply-left" },
          h("span", null, this.totalSupply),
          " / ",
          h("span", null, this.maxSupply)))));
  }
  static get is() { return "supply-display"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["supply-display.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["supply-display.css"]
  }; }
  static get properties() { return {
    "totalSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "total-supply",
      "reflect": false
    },
    "maxSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "max-supply",
      "reflect": false
    },
    "personalSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "personal-supply",
      "reflect": false
    }
  }; }
}
