import { serializeError } from 'eth-rpc-errors';
import { utils } from 'ethers';
export function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}
export function formatEthers(value) {
  return utils.formatEther(value);
}
export function getBlockExplorer(testnet) {
  return testnet ? 'https://rinkeby.etherscan.io' : 'https://etherscan.io';
}
export function handleError(e) {
  const fallbackError = { code: -6666, message: 'Something went horribly wrong' };
  if (e === null || e === void 0 ? void 0 : e.message.includes('insufficient funds')) {
    throw Error('You broke mate, McDonalds is hiring');
  }
  if (e === null || e === void 0 ? void 0 : e.message.includes('Signature already used')) {
    throw Error('Your already minted');
  }
  if (e === null || e === void 0 ? void 0 : e.message.includes('User denied transaction signature')) {
    throw Error('User denied transaction');
  }
  if (e === null || e === void 0 ? void 0 : e.message.includes('cannot estimate gas')) {
    throw Error('Cannot estimate gas');
  }
  const error = serializeError(e, { fallbackError, shouldIncludeStack: true });
  throw Error(error.message);
}
