import { ethers } from 'ethers';
export const handleNewAccount = async (accounts, walletInfo) => {
  if (accounts.length === 0) {
    walletInfo.message = 'Please connect to MetaMask';
  }
  else {
    walletInfo.provider = await new ethers.providers.Web3Provider(window.ethereum);
    walletInfo.signer = await walletInfo.provider.getSigner();
    walletInfo.signerAddress = await walletInfo.signer.getAddress();
  }
};
export const networkConfigs = {
  homestead: {
    chainId: '0x1',
    name: 'homestead',
    rpcUrl: 'https://mainnet.infura.io/v3/',
  },
  rinkeby: {
    chainId: '0x4',
    name: 'rinkeby',
    rpcUrl: 'https://rinkeby.infura.io/v3/',
  },
};
