import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const supplyDisplayCss = ".supply-status{display:flex;justify-content:space-between;align-items:center;padding:1rem 0;border-bottom:1px solid var(--border-light, #6e7680)}";

const SupplyDisplay = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("div", { class: "supply-status", part: "supply-bar" }, h("span", null, "Supply"), h("div", { part: "supply-left" }, h("span", null, this.totalSupply), " / ", h("span", null, this.maxSupply)))));
  }
  static get style() { return supplyDisplayCss; }
}, [1, "supply-display", {
    "totalSupply": [2, "total-supply"],
    "maxSupply": [2, "max-supply"],
    "personalSupply": [2, "personal-supply"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["supply-display"];
  components.forEach(tagName => { switch (tagName) {
    case "supply-display":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, SupplyDisplay);
      }
      break;
  } });
}

export { SupplyDisplay as S, defineCustomElement as d };
